
%global meadversion 2.15.2
%global namedversion 2.15.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-databind}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.15.2.redhat-00001

Name:           %{?scl_prefix}jackson-databind
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jackson-databind
Group:          Development/Java

%if %with mead
Source100: jackson-databind-2.15.2.redhat-00001-project-sources.tar.gz
Source102: jackson-databind-2.15.2.redhat-00001.jar
Source103: jackson-databind-2.15.2.redhat-00001-javadoc.jar
Source104: jackson-databind-2.15.2.redhat-00001-sources.jar
Source105: jackson-databind-2.15.2.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://github.com/FasterXML/jackson
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-databind-%{namedversion}-%{release}-root

%description
General data-binding functionality for Jackson: works on core streaming API.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-databind
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -c -n jackson-databind-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-databind-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-databind-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-databind-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-databind-%{namedversion} %{buildroot}%{_javadocdir}/jackson-databind
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name CREDITS-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name VERSION-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-databind-%{namedversion}.jar
%{_javadir}/jackson-databind.jar
%if %with javadoc
%{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%{_javadir}/jackson-databind-javadoc.jar
%else
%exclude %{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-databind-javadoc.jar
%endif
%{_javadir}/jackson-databind-%{namedversion}-sources.jar
%{_javadir}/jackson-databind-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-databind-%{namedversion}
%{_javadocdir}/jackson-databind
%endif

%changelog
* Tue Oct 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.15.2-1.redhat_00001.1
- Built by CPaaS

* Thu Apr 13 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.14.2-1.redhat_00001.1
- Built by CPaaS

* Fri Mar 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.13.4-1.redhat_00004.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.12.6.1-5.redhat_00004.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.12.6.1-4.redhat_00004.1
- Built by CPaaS

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.12.6.1-3.redhat_00004.1
- Built by CPaaS

* Thu Sep 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.12.6.1-2.redhat_00004.1
- Built by CPaaS

